# Uses of Class
org.apache.avro.file.Codec

Packages that use Codec
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of Codec in org.apache.avro.file

Subclasses of Codec in org.apache.avro.file
Modifier and Type
Class
Description
`class`
`BZip2Codec`
Implements bzip2 compression and decompression.
`class`
`DeflateCodec`
Implements DEFLATE (RFC1951) compression and decompression.
`class`
`SnappyCodec`
Implements Snappy compression and decompression.
`class`
`XZCodec`
Implements xz compression and decompression.
`class`
`ZstandardCodec`
Methods in org.apache.avro.file that return Codec
Modifier and Type
Method
Description
`protected abstract Codec`
CodecFactory.`createInstance()`
Creates internal Codec.